/*
 * Copyright Openmind http://www.openmindonline.it
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package it.openutils.migration.task.update;

import it.openutils.migration.task.setup.DbTask;


/**
 * @author fgiust
 * @version $Id: DbUpdate.java 526 2008-01-14 12:00:28Z fgiust $
 */
public interface DbUpdate extends DbTask
{

    /**
     * Returns the version for this update. THe task will be executed only if the current db version is lower than this.
     * @return target version for this upgrade.
     */
    int getVersion();

}
